# Interface SiteLayerInfoJson

Defines the layer and field properties for the Site layer used for floor filtering. This property is optional. See https://developers.arcgis.com/web-map-specification/objects/siteLayerInfo/.

interface SiteLayerInfoJson {
layerId?: string;
nameField?: string;
siteIdField?: string;
}

#####
Index

### Properties

layerId?
nameField?
siteIdField?

##
Properties

### `Optional` layerId

layerId?: string

A layer ID that refers to an operational layer in the map. The layer provides access to Site features to use for floor filtering.

### `Optional` nameField

nameField?: string

The name of the attribute field that contains a site feature's name.

### `Optional` siteIdField

siteIdField?: string

The name of the attribute field that contains a site feature's unique identifier.